<?php
 /*
	Plugin Name: Extended Tags Widget (shared on null24.ir)
	Plugin URI: http://codecanyon.net/item/extended-tags-widget-wordpress-premium-plugin/464929?ref=zourbuth
	Description: An advanced widget that gives you total control over the output of your tags. The Tags widget replaces the default WordPress Tag Cloud widget. This version gives total control over the output to the user by allowing the input of all the arguments typically seen in the wp_tag_cloud() function
	Version: 1.2.3
	Author: Zourbuth
	Author URI: http://zourbuth.com
	License: Under GPL2

    Copyright 2013 zourbuth (email : zourbuth@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/



// Exit if accessed directly @since 1.2.0
if ( ! defined( 'ABSPATH' ) )
	exit;

// Set constant
define( 'EXTENDED_TAGS_WIDGET_VERSION', '1.2.3' );
define( 'EXTENDED_TAGS_WIDGET_DIR', plugin_dir_path( __FILE__ ) );
define( 'EXTENDED_TAGS_WIDGET_URL', plugin_dir_url( __FILE__ ) );
define( 'EXTENDED_TAGS_WIDGET_SLUG', 'extended_tags' );
define( 'EXTENDED_TAGS_WIDGET_TEXTDOMAIN', 'extended-tags-widget' );

// Launch the plugin
register_activation_hook( __FILE__, 'extended_tags_activation_hook' );	// @since 1.2.0
add_action( 'plugins_loaded', 'extended_tags_widget_plugins_loaded' );


/**
 * Check if plugin activated
 * Anonymous functions are only supported on 5.3+
 * @since 1.2.0
 */
function extended_tags_activation_hook() { 
	add_option( 'extended_tags_version', EXTENDED_TAGS_WIDGET_VERSION );
}


/**
 * Initializes the plugin and it's features with the 'plugins_loaded' action
 * Creating custom constan variable and load necessary file for this plugin
 * Attach the widget on plugin load
 * @since 1.0
 */
function extended_tags_widget_plugins_loaded() {
	require_once( EXTENDED_TAGS_WIDGET_DIR . 'lib/total.php' );
	require_once( EXTENDED_TAGS_WIDGET_DIR . 'settings.php' );
	require_once( EXTENDED_TAGS_WIDGET_DIR . 'main.php' );
	
	load_plugin_textdomain( 'taxography', false, dirname( plugin_basename( __FILE__ ) ) . '/lang/' );
	
	add_action( 'widgets_init', 'extended_tags_widgets_init' );
}



/**
 * Load widget files
 * Register the extra widgets.
 * @since 1.0
 */
function extended_tags_widgets_init() {
	require_once( EXTENDED_TAGS_WIDGET_DIR . 'widget.php' );
	register_widget( 'Extended_Tags_Widget' );
}
?>